php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #26515 configure: error: Cannot find OpenSSL's libraries
Submitted: 2003-12-03 16:17 UTC Modified: 2003-12-05 17:13 UTC
From: Greg dot Kresko at nrc-cnrc dot gc dot ca Assigned:
Status: Not a bug Package: OpenSSL related
PHP Version: 4.3.4 OS: IRIX 6.5.21f
Private report: No CVE-ID:
 [2003-12-03 16:17 UTC] Greg dot Kresko at nrc-cnrc dot gc dot ca
Description:
------------
./configure --prefix=/usr/local/apache --with-mysql --with-apxs=/usr/local/apache/bin/apxs --with-openssl=../openssl-0.9.7c --with-mm=../mm-1.3.0

fails with
---
Configuring extensions
checking for OpenSSL support... yes
checking for pkg-config... no
configure: error: Cannot find OpenSSL's libraries
---

I have static libraries:
111 (renard)kresko> ls -l /usr/local/ssl/lib
total 5752
-rw-r--r--    1 root     sys       2564356 Nov 20 16:09 libcrypto.a
-rw-r--r--    1 root     sys        375828 Nov 20 16:09 libssl.a
drwxr-xr-x    2 root     sys            28 Jun  9 16:13 pkgconfig
---

It also fails with php4-STABLE-200312031830.
php-4.3.3 works with the same statement.
This is a follow-up to bug 25703 (I added a note on Nov. 20) and is also related to
bug 25719.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-12-03 16:36 UTC] derick@php.net
Sorry, but your problem does not imply a bug in PHP itself.  For a
list of more appropriate places to ask for help using PHP, please
visit http://www.php.net/support.php as this bug system is not the
appropriate forum for asking support questions. 

Thank you for your interest in PHP.

Your --with-openssl line is broken, you need to point to the installation root (/usr/local or /usr/local/ssl).
 [2003-12-03 18:50 UTC] joerg@php.net
[origin]:~ $ php -v ; php -m | grep openssl
PHP 4.3.4 (cli) (built: Nov 22 2003 17:22:20)
Copyright (c) 1997-2003 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2003 Zend Technologies
openssl
[origin]:~ $

So there is no problem here at the moment. And you can also build your openssl as shared.

[origin]:~ $ ll /usr/local/ssl/lib/
total 13904
-rw-r--r--    1 root     sys       4021732 Okt  16 11:27 libcrypto.a
lrwxr-xr-x    1 root     sys            14 Okt  16 11:27 libcrypto.so -> libcrypto.so.0
lrwxr-xr-x    1 root     sys            18 Okt  16 11:27 libcrypto.so.0 -> libcrypto.so.0.9.7
-r-xr-xr-x    1 root     sys       2147436 Okt  16 11:27 libcrypto.so.0.9.7
-rw-r--r--    1 root     sys        581092 Okt  16 11:27 libssl.a
lrwxr-xr-x    1 root     sys            11 Okt  16 11:27 libssl.so -> libssl.so.0
lrwxr-xr-x    1 root     sys            15 Okt  16 11:27 libssl.so.0 -> libssl.so.0.9.7
-r-xr-xr-x    1 root     sys        363016 Okt  16 11:27 libssl.so.0.9.7
drw-r--r--    2 root     sys            23 Okt  16 11:27 pkgconfig

[origin]:~ $ uname -R
6.5 6.5.22m

 [2003-12-05 17:13 UTC] Greg dot Kresko at nrc-cnrc dot gc dot ca
(Aside:
I finally created the openssl-0.9.7c shared libraries by 
adding "irix-shared" to the tests in the apps/ and test/
Makefile.ssl files.  After installation, I issued
"chmod 755 /usr/local/ssl/lib/pkgconfig".

-----
243 (wolf)kresko> ls -l /usr/local/ssl/lib
total 5848
-rw-r--r--    1 root     sys       2564356 Dec  5 14:11 libcrypto.a
lrwxr-xr-x    1 root     sys            14 Dec  5 14:11 libcrypto.so -> libcrypto.so.0
lrwxr-xr-x    1 root     sys            18 Dec  5 14:11 libcrypto.so.0 -> libcrypto.so.0.9.7
-r-xr-xr-x    1 root     sys         20896 Dec  5 14:11 libcrypto.so.0.9.7
-rw-r--r--    1 root     sys        375828 Dec  5 14:11 libssl.a
lrwxr-xr-x    1 root     sys            11 Dec  5 14:11 libssl.so -> libssl.so.0
lrwxr-xr-x    1 root     sys            15 Dec  5 14:11 libssl.so.0 -> libssl.so.0.9.7
-r-xr-xr-x    1 root     sys         20900 Dec  5 14:11 libssl.so.0.9.7
drwxr-xr-x    2 root     sys            28 Jun  9 16:37 pkgconfig
-----

However, configure is still failing for
php4-STABLE-200312031830:
-----
./configure --prefix=/usr/local/apache --with-mysql --with-apxs=/usr/local/apache/bin/apxs --with-openssl=/usr/local/ssl --with-mm=../mm-1.3.0
-----
at:
-----
Configuring extensions
checking for OpenSSL support... yes
checking for pkg-config... no
checking for OpenSSL version... >= 0.9.6
checking for CRYPTO_free in -lcrypto... no
configure: error: libcrypto not found!
---
I am using gcc-3.3.2.  Also
LDFLAGS=-L/usr/local/ssl/lib
OPENSSL_LIBDIR=/usr/local/ssl/lib

Suggestions please.
 [2004-05-26 21:24 UTC] owen at name dot com
I was getting this same error. However, when I edited configure and hard coded OPENSSL_LIBDIR to my openssl path it worked fine. I think there is a problem with configure setting a user defined path to openssl.
 [2004-06-07 20:14 UTC] owen at name dot com
Another instance of this on a different box using the latest version of Red Hat Enterprise Workstation. This is a bug, I don't think it should be listed as bogus. Again, if I hardcode the path to OpenSSL in the configure script all works well.
 
PHP Copyright © 2001-2014 The PHP Group
All rights reserved.
Last updated: Fri Apr 25 07:02:14 2014 UTC